%define version	1.2.4
%define release	%mkrel 2

%define scim_version	1.4.5
%define anthy_version	6606

%define libname %mklibname %{name} 0

Name:		scim-anthy
Summary:	Scim-anthy is an SCIM IMEngine module for anthy
Epoch:		2
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	%{name}-%{version}.tar.gz
Patch0:		scim-anthy-modify_romaji_tables.diff
Patch1:		scim-anthy-disable_custom_candidate_window.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		%{libname} = %{epoch}:%{version}-%{release}
Requires:		anthy >= %{anthy_version}
Requires:		scim >= %{scim_version}
Requires:		kasumi
BuildRequires:		anthy-devel >= %{anthy_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake libltdl-devel

%description
Scim-anthy is an SCIM IMEngine module for anthy.
It supports Japanese input.


%package -n %{libname}
Summary:	Scim-anthy library
Group:		System/Internationalization

%description -n %{libname}
scim-anthy library.

%prep
%setup -q
%patch0 -p1

%build
autoreconf
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%scim_plugins_dir/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%dir %{_datadir}/scim/Anthy
%{_datadir}/scim/Anthy/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%scim_plugins_dir/IMEngine/*.so
%scim_plugins_dir/SetupUI/*.so
%scim_plugins_dir/Helper/*.so


%changelog
* Thu Sep 13 2007 Funda Wang <fundawang@mandriva.org> 1.2.4-2mdv2008.0
+ Revision: 85136
- forgot of epoch of requirements of libname

* Thu Sep 13 2007 Funda Wang <fundawang@mandriva.org> 1:1.2.4-1mdv2008.0
+ Revision: 85094
- Downgrade to 1.2.4 to solve problem bug#33093

* Mon Jun 11 2007 Funda Wang <fundawang@mandriva.org> 1.3.0-2mdv2008.0
+ Revision: 38014
- Merge UTUMI Hirosi's patch

* Mon Apr 23 2007 Funda Wang <fundawang@mandriva.org> 1.3.0-1mdv2008.0
+ Revision: 17150
- cleanup filelist.
- Helper*.so do not exists any more.
- new upstream release 1.3.0


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2007.0
+ Revision: 106781
- new release
- Import scim-anthy

* Wed Oct 18 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.1-2mdv2007.0
- fix build for scim-1.4.5

* Sat Sep 30 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.1-1mdv2007.0
- new release

* Tue Aug 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdv2007.0
- new release

* Fri Mar 31 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Sun Jan 29 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdk
- new release
- remove patch0 (merged upstream)

* Sat Jan 21 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.0-2mdk
- add patch0

* Thu Dec 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-1mdk
- new release

* Thu Oct 27 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.1-1mdk
- new release
- add kasumi to requires
- (Ashie-san [the author of scim-anthy] asked for it)
- remove patch0 (merged upstream)

* Fri Oct 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-1mdk
- new release
- patch 0: fix crash

* Tue Aug 16 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.6.1-1mdk
- new release

* Tue Aug 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-1mdk
- new release

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.3-1mdk
- new release

* Wed Jul 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-4mdk
- Rebuild for new scim

* Tue Jun 21 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-3-1mdk
- Rebuild for new scim ( 1.3.1 )

* Sat Jun 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-2mdk 
- Rebuild for new anthy

* Fri Jun 10 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-1mdk
- 0.4.3 
	- Fix for gcc-4.0. Thanks UTUMI-san
	- Fix a bug that selecting first & last 
	        candidate feature doesn't work Thanks BANDO-san

* Tue May 31 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.2-1mdk
- 0.4.2

* Tue May 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.2-1mdk
- new release

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-3.20050217.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.1-3.20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- more cleanup

* Wed Feb 02 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-2mdk
- clean spec (abel)

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-1mdk
- new release

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-1mdk
- new release
- fix build with new automake
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o remove unneeded files (/usr/lib/scim-1.0/*/*.{a,la})
  o add "define scim_version"

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-3.cvs20041224.2mdk
- latest snapshot
- fix BuildRequires
- rebuild with scim-1.0.2

* Mon Nov 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-2mdk
- new release

* Mon Nov 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- initial release

